Package ru.bitel.bgbilling.server.util

# Class XMLDatabaseSerializer

java.lang.Object
ru.bitel.bgbilling.server.util.XMLDatabaseSerializer

Direct Known Subclasses:
  `XMLDatabaseElementSerializer`

public class XMLDatabaseSerializer extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `BINARY_PREFIX`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `XMLDatabaseSerializer()`
  ``
  `XMLDatabaseSerializer(XMLStreamWriter whereAdd)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addItemsFromRS(String table, String retColumn, List<String> result, Connection con, String query)`
  `void`
  `addItemsFromRS(String table, String retColumn, List<String> result, ResultSet rs)`
  `List<String>`
  `addItemsFromRS(Connection con, String table, String keyColumn, String keyValue, String retColumn, boolean dateFilter, String date1, String date2, String joins)`
  `static int`
  `insertElementToBase(Element el, Connection con)`
  хелпер, используется в востановлялке договоров, из элемента берёт имя - это таблица и атрибуты со значениями - это столбцы и данные в них.
  `protected void`
  `startElement(String table)`
  `protected void`
  `stopElement()`
  `protected void`
  `writeAtrtibute(String name, String val)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### BINARY_PREFIX

    public static final String BINARY_PREFIX
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### XMLDatabaseSerializer

    protected XMLDatabaseSerializer()

  - ### XMLDatabaseSerializer

    public XMLDatabaseSerializer(XMLStreamWriter whereAdd)

- ## Method Details

  - ### addItemsFromRS

    public List<String> addItemsFromRS(Connection con, String table, String keyColumn, String keyValue, String retColumn, boolean dateFilter, String date1, String date2, String joins) throws SQLException, XMLStreamException
    Throws:
      `SQLException`
      `XMLStreamException`

  - ### addItemsFromRS

    public void addItemsFromRS(String table, String retColumn, List<String> result, Connection con, String query) throws SQLException, XMLStreamException
    Throws:
      `SQLException`
      `XMLStreamException`

  - ### addItemsFromRS

    public void addItemsFromRS(String table, String retColumn, List<String> result, ResultSet rs) throws SQLException, XMLStreamException
    Throws:
      `SQLException`
      `XMLStreamException`

  - ### writeAtrtibute

    protected void writeAtrtibute(String name, String val) throws XMLStreamException
    Throws:
      `XMLStreamException`

  - ### stopElement

    protected void stopElement() throws XMLStreamException
    Throws:
      `XMLStreamException`

  - ### startElement

    protected void startElement(String table) throws XMLStreamException
    Throws:
      `XMLStreamException`

  - ### insertElementToBase

    public static int insertElementToBase(Element el, Connection con) throws SQLException
    хелпер, используется в востановлялке договоров, из элемента берёт имя - это таблица и атрибуты со значениями - это столбцы и данные в них.
    Throws:
      `SQLException`